Bug 241400 - devel/llvm90: stage fails with PREFIX != LOCALBASE (LLD_LINK)
Summary: devel/llvm90: stage fails with PREFIX != LOCALBASE (LLD_LINK)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-21 21:07 UTC by John Hein
Modified: 2019-10-28 21:04 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments
[patch] fix post-install-LLD_LINK-on when PREFIX != LOCALBASE (514 bytes, patch)
2019-10-21 21:07 UTC, John Hein
jcfyecrayz: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2019-10-21 21:07:41 UTC
Created attachment 208492 [details]
[patch] fix post-install-LLD_LINK-on when PREFIX != LOCALBASE

% make stage PREFIX=/opt/llvm90 WITH=LLD_LINK
 .
 .
/bin/ln -s ld.lld /wrkdirs/usr/ports/devel/llvm90/work/stage/usr/local/llvm90/bin/ld
ln: /wrkdirs/usr/ports/devel/llvm90/work/stage/usr/local/llvm90/bin/ld: No such file or directory
*** Error code 1


This sym link is new for llvm90, so llvm80 and earlier did not fail this way.

Simple patch attached.
Comment 1 commit-hook freebsd_committer 2019-10-22 19:08:10 UTC
A commit references this bug:

Author: brooks
Date: Tue Oct 22 19:07:23 UTC 2019
New revision: 515213
URL: https://svnweb.freebsd.org/changeset/ports/515213

Log:
  Fix build without CLANG enabled. [0]

  Fix LLD build where PREFIX != LOCALBASE. [1]

  powerpc64: add configure option to select ELFv2 ABI [2]

  In preparation for compiler+ABI change in PowerPC64, this change adds a
  configure option to select ELFv2 as default powerpc64 ABI when compiling
  llvm90.

  The new option automatically set when ELFv2 environment is detected
  (when PPC_ABI=ELFv2)

  PR:		241400 [1], 241410 [0]
  Submitted by:	Alfredo Dal'Ava J?nior [2]
  Differential Revision:	https://reviews.freebsd.org/D22100 [2]

Changes:
  head/devel/llvm90/Makefile
  head/devel/llvm90/files/ppc64-elfv2/
  head/devel/llvm90/pkg-plist
Comment 2 commit-hook freebsd_committer 2019-10-28 21:04:54 UTC
A commit references this bug:

Author: brooks
Date: Mon Oct 28 21:04:19 UTC 2019
New revision: 515935
URL: https://svnweb.freebsd.org/changeset/ports/515935

Log:
  MFH: r513490 r514194 r515213

  Fix build with EXTRAS disabled.

  clangd is part of EXTRAS, not CLANG.

  PR:		240826
  Reported by:	rozhuk.im@gmail.com

  Rollup of fixes since the 9.0.0 release.

  - Change the default -march for i386 from i486 to i586.  This avoids
    the need for libatomics and had been the defacto default for some
    time. [0]

  - Add -m(no)-spe to clang. (powerpc)

  - Deduce MIPS specific ELF header flags from `emulation`. (mips)

  - Fix a variety of assertions and compile/link errors including crashes
    with CPUTYPE=haswell. [1]

  - Switch back to https for downloads. [2]

  The new patches were initially committed to FreeBSD src by dim@.

  PR:		240918 [0], 240759 [1], 240870 [2]
  Reported by:	jbeich [0,1],  Miyashita Touka <imagin8r@protonmail.com> [2]

  Fix build without CLANG enabled. [0]

  Fix LLD build where PREFIX != LOCALBASE. [1]

  powerpc64: add configure option to select ELFv2 ABI [2]

  In preparation for compiler+ABI change in PowerPC64, this change adds a
  configure option to select ELFv2 as default powerpc64 ABI when compiling
  llvm90.

  The new option automatically set when ELFv2 environment is detected
  (when PPC_ABI=ELFv2)

  PR:		241400 [1], 241410 [0]
  Submitted by:	Alfredo Dal'Ava J?nior [2]
  Differential Revision:	https://reviews.freebsd.org/D22100 [2]

  Approved by:	portmgr (blanket for build and reliability fixes)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/devel/llvm90/Makefile
  branches/2019Q4/devel/llvm90/Makefile.COMMANDS
  branches/2019Q4/devel/llvm90/files/clang/patch-freebsd-r352030
  branches/2019Q4/devel/llvm90/files/clang/patch-freebsd-r352539
  branches/2019Q4/devel/llvm90/files/clang/patch-freebsd-r352586
  branches/2019Q4/devel/llvm90/files/lld/
  branches/2019Q4/devel/llvm90/files/patch-freebsd-r352318
  branches/2019Q4/devel/llvm90/files/patch-freebsd-r352629
  branches/2019Q4/devel/llvm90/files/ppc64-elfv2/
  branches/2019Q4/devel/llvm90/pkg-plist